Subject: Re: bug#44249: [PATCH v2] gnu: emacs: Make strip-double-wrap more robust

From: Morgan Smith <[email-masked]>
Date: Tue, 3 Nov 2020 09:49:30 -0500

So I need to use the module (ice-9 match) there to get the definition of
match. However, it seems to override the modules that where previously
available there so I have to add them back.

Can you confirm how you create the error? I did a checkout to the commit
before you did the revert (51482b93b6) and I couldn't find any errors.
This is what I did:

guix environment guix -C --pure -- make distclean
git clean -xfd
guix environment guix -C --pure -- ./bootstrap
guix environment guix -C --pure -- ./configure --localstatedir=/var
guix environment guix -C --pure -- make
./pre-inst-env guix build emacs
./pre-inst-env guix build emacs-next

On 11/3/20 7:48 AM, Nicolas Goaziou wrote:
> Nicolas Goaziou <[email-masked]> writes:
> 
>> Patch applied. Thank you.
> 
> And patch reverted… It generates a build error: "No code
> for module (guix build glib-or-gtk-build-system)".
> 
> What is the purpose of loading (guix build glib-or-gtk-build-system)?
> 
> Regards,
>